package com.example.writeepc;

import androidx.databinding.BaseObservable;

public class InfoData extends BaseObservable {
    private int power;
    private String epc;
    private String writeEpc;
    private String readEpc;
    private String readAscii;
    private boolean state;
    private String readTId;
    private byte[] tidBytes;

    public byte[] getTidBytes() {
        return tidBytes;
    }

    public void setTidBytes(byte[] tidBytes) {
        this.tidBytes = tidBytes;
    }

    public String getReadTId() {
        return readTId;
    }

    public void setReadTId(String readTId) {
        this.readTId = readTId;
        notifyChange();
    }

    public String getWriteEpc() {
        return writeEpc;
    }

    public void setWriteEpc(String writeEpc) {
        this.writeEpc = writeEpc;
        notifyChange();
    }

    public String getReadAscii() {
        return readAscii;
    }

    public void setReadAscii(String readAscii) {
        this.readAscii = readAscii;
        notifyChange();
    }

    public int getPower() {
        return power;
    }

    public void setPower(int power) {
        this.power = power;
        notifyChange();
    }

    public String getEpc() {
        return epc;

    }

    public void setEpc(String epc) {
        this.epc = epc;
        notifyChange();
    }

    public String getReadEpc() {
        return readEpc;
    }

    public void setReadEpc(String readEpc) {
        this.readEpc = readEpc;
        notifyChange();
    }

    public boolean isState() {
        return state;
    }

    public void setState(boolean state) {
        this.state = state;
        notifyChange();
    }
}
